%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                  Charge neutrality calculation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [NSD_calc] = tobiv_NSD_floatingS(DOS,Usc_new,Efs_new,Vd,Vs,const,E,dE)

        DOS_1 = DOS;
        DOS_23 = DOS;

        DOS_1(find(E >= Usc_new)) = 0;
        f1 = 1./(1+exp((E-Efs_new)/const.kbT));
        
        DOS_23(find(E < Usc_new))=0 ;
        f2 = 1./(1+exp((E-Efs_new+Vs)/const.kbT));
        f3 = 1./(1+exp((E-Efs_new+Vd)/const.kbT));
        f23 = f2 + f3;

        NSD_calc_1 = sum(DOS_1.*f1)*dE;
        NSD_calc_2 = 0.5*sum(DOS_23.*(f23))*dE;
        
        NSD_calc = NSD_calc_1 + NSD_calc_2;
end

